### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
FDStepConditionEngine< Scheme > Class Template Reference
Vanilla option engines

Finite-differences pricing engine for American-style vanilla options. More...

`#include <ql/pricingengines/vanilla/fdstepconditionengine.hpp>`

Inheritance diagram for FDStepConditionEngine< Scheme >:
[legend]

List of all members.

## Public Member Functions

| FDStepConditionEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps, Size gridPoints, bool timeDependent=false)

## Protected Member Functions

virtual void | initializeStepCondition () const =0
virtual void | calculate (PricingEngine::results *) const

## Protected Attributes

boost::shared_ptr < StandardStepCondition > | stepCondition_
SampledCurve | prices_
TridiagonalOperator | controlOperator_
std::vector< boost::shared_ptr < bc_type > > | controlBCs_
SampledCurve | controlPrices_

## Detailed Description

### template<template< class > class Scheme = CrankNicolson>
class QuantLib::FDStepConditionEngine< Scheme >

Finite-differences pricing engine for American-style vanilla options.